## org.eclipse.datatools.sqltools.sqleditor.result
Class GroupSQLResultRunnable

    java.lang.Object
      Job
          org.eclipse.datatools.sqltools.sqleditor.result.ResultSupportRunnable
              org.eclipse.datatools.sqltools.sqleditor.result.SimpleSQLResultRunnable
                  org.eclipse.datatools.sqltools.sqleditor.result.GroupSQLResultRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class GroupSQLResultRunnable

extends SimpleSQLResultRunnable

Author:
  Hui Cao

Field Summary
`static int` `EXECUTION_NESTED_ERROR`

Constructor Summary
`GroupSQLResultRunnable(java.sql.Connection con, java.lang.String[] groups, IConnectionTracker tracker, java.lang.Runnable postRun, DatabaseIdentifier databaseIdentifier, boolean promptVar, java.util.HashMap varDefs)`
`GroupSQLResultRunnable(java.sql.Connection con, java.lang.String[] groups, IConnectionTracker tracker, java.lang.Runnable postRun, DatabaseIdentifier databaseIdentifier, boolean promptVar, java.util.HashMap varDefs, java.lang.String parentDisplayName, java.lang.String consumerName)`

Method Summary
`OperationCommand` `getOperationCommand()` Creates the `OperationCommand` object which will be used for results view display.
`void` `run()`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.result.SimpleSQLResultRunnable
`getConfiguration`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.result.ResultSupportRunnable
`getActionType, getConsumerName, getDatabaseIdentifier, getOperationStatus, getParentOperationCommand, loopThroughResults, setActionType, setConsumerName, setParentOperCommand`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTION_NESTED_ERROR

    public static final int EXECUTION_NESTED_ERROR

See Also:
  Constant Field Values

Constructor Detail

### GroupSQLResultRunnable

    public GroupSQLResultRunnable(java.sql.Connection con,
                                  java.lang.String[] groups,
                                  IConnectionTracker tracker,
                                  java.lang.Runnable postRun,
                                  DatabaseIdentifier databaseIdentifier,
                                  boolean promptVar,
                                  java.util.HashMap varDefs)

Parameters:
  `con` - if con is null, corresponding ConnectionService.createConnection will be called.
  `sql` -
  `tracker` -

### GroupSQLResultRunnable

    public GroupSQLResultRunnable(java.sql.Connection con,
                                  java.lang.String[] groups,
                                  IConnectionTracker tracker,
                                  java.lang.Runnable postRun,
                                  DatabaseIdentifier databaseIdentifier,
                                  boolean promptVar,
                                  java.util.HashMap varDefs,
                                  java.lang.String parentDisplayName,
                                  java.lang.String consumerName)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `ResultSupportRunnable`

### getOperationCommand

    public OperationCommand getOperationCommand()

  Description copied from class: `ResultSupportRunnable`
  Creates the `OperationCommand` object which will be used for results view display.

  Overrides:
    `getOperationCommand` in class `ResultSupportRunnable`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.